Subject: Re: [PATCH 02/16] refs: rename `init_db` callback to avoid confusion

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 May 2024 11:24:36 -0700

Patrick Steinhardt <[email-masked]> writes:

> Reference backends have two callbacks `init` and `init_db`. The
> similarity of these two callbacks has repeatedly tripped myself whenever
> I was looking at those, where I always had to look up which of them does
> what.
>
> Rename the `init_db` callback to `create`, which should hopefully be
> clearer.

Hmph, create() may be clearer than init_db(), but then I am not sure
what init() would do, differently from create(), so this rename
takes me back to the puzzled square one state X-<.

I am guessing that create is about creating on-disk structure, while
init is about in-core structure out of an existing on-disk
structure?  Once I understand the differences in these two things,
it is much less troublesome to tell them apart, regardless of what
they are called.  Between .init and .init_db, it would be obvious
that the latter is about on-disk thing, without a rename done by
this step.  On the other hand, contrast between <create, init> is
just as opaque as <init_db, init>---the names do not tell readers
that these two are about on-disk and in-core structures.

Just my confused impression.